Subject: Re: Qt 4.8.2 -- Holy Cow
From: Phil Weinstein <[email-masked]>
To: [email-masked]
Date: Thu, 23 Aug 2012 23:25:20 -0600

I copied a zipped, compressed version of my Windows 7, 64-bit build of 
Qt 4.8.2 onto Alamaso, into this OLD place (not the current "tools" 
repository -- I don't know where that is).  This zip file is 1.7 GB.  
This was built today in the "correct" place: C:\Riverware\tools\Qt-482\ ...

    R:\tools\Qt-482-x64-Phil-2012-08-23.zip

On 8/23/2012 10:22 PM, Phil Weinstein wrote:
> There's a lot to report.  It's pretty cool.  But not done yet.
>
> I was able to get a Windows 7 (64-bit) Qt 4.8.2 RiverWare 6.3 build 
> WITHOUT YET successfully rebuilding our Qwt 5.2.1.  (I'll try that 
> part again tomorrow).  RiverWare links and runs (with the Qt 4.6.3 Qwt 
> 5.2.1).  This needed:
>
>   * One minor source code change.
>   * Re-applying our hack to a Qt file.  (Bill, it turned out that I
>     really did need to rebuild the whole thing, i.e. an all-day
>     affair.  I did this in the right place this time.  My 32-bit Qt
>     build is still spinning on my XP machine).  This file (see notes):
>     http://cadswes2.colorado.edu/~philw/2012/Qt48/qt_functions_prf.txt
>
> During the interminable Qt 4.8.2 build, I was running a previously 
> built RiverWare (for some other work), and that was picking up the new 
> 4.8.2 DLLs !!!  (Apparently just by having 
> "C:\Riverware\tools\Qt-482\bin" on my path ???).  See the first of 
> these two RiverWare System Info screenshots:
>
>   * http://cadswes2.colorado.edu/~philw/2012/Qt48/RwWith463Run482.png
>   * http://cadswes2.colorado.edu/~philw/2012/Qt48/RwWith482Run482.png
>
> BTW, here is our new "4.8" "More Qt Info" dialog.  Notice that it 
> explicitly identifies this as the COMMERCIAL version:
>
>   * NEW:
>     http://cadswes2.colorado.edu/~philw/2012/Qt48/RwWith463Run482-More.png
>
>   * OLD:http://cadswes2.colorado.edu/~philw/2012/Qt48/RwWith463-More.png
>
> My new 64-bit build runs.  But I am having my normal 
> crashing-in-some-other-thread problem (I believe).  (Something 
> fundamental is hosed on my machine).  So, I'll need to do testing on 
> some other machine.
>
> When I run regression tests, I am having a problem with the "diff" 
> possibly due to the changes in my "path" -- SEE ATTACHED FILE.  *** 
> But notice !!! where the executable is showing up!  Under an "x64" 
> directory.  (It really is).  I didn't do anything to make that 
> happen.  I believe this is one of the changes that was going to be 
> necessary for moving from Visual Studio 2008 to Visual Studio 2010.
>
> Disappointing: I did operate the new Qt 4.8.2 "Designer" program -- 
> and I really don't see native support for menu bars in QDialogs.
>
> I still need to do these things:
>
>  1. Windows 7 / 64-bit:  Repeat a clean build.  There may be
>     problems.  I did need to make a few passes to get RiverWare built,
>     and that may be an indication that our dependencies are not complete.
>  2. Windows 7 / 64-bit:  Figure out how to build Qwt 5.2.1  (I ran
>     into problems I don't yet understand with that).
>  3. Windows XP / 32-bit:  See if my Qt 4.8.2 build is good
>  4. Windows XP / 32-bit:  Try to build and test RiverWare.
>  5. Windows XP / 32-bit:  Build Qwt 5.2.1.
>  6. Figure out how to get this into our tools distribution.  (At
>     least, I am building Qt in the right place, under
>     C:\Riverware\tools\).
>
> - Phil
>
> P.S. my XP build of Qt 4.8.2 is still going.  7 hours so far.